%define build_nox 1

Name:		qbittorrent
Version:	2.9.3
Release:	%mkrel 1
Summary:	A lightweight but featureful BitTorrent client
Group:		Networking/File transfer
License:	GPLv2+
Url:		http://qbittorrent.sourceforge.net/
Source0:	http://downloads.sourceforge.net/project/qbittorrent/qbittorrent/qbittorrent-%{version}/qbittorrent-%{version}.tar.gz
BuildRequires:	qt4-devel >= 4:4.6
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(libtorrent-rasterbar) >= 0.14.4
%if %mgaversion >= 2
BuildRequires:	qtsingleapplication-devel
%endif
Requires:	python

%description
A lightweight but feature-full BitTorrent client that aims to be very easy 
to use. It is multi-platform and provides a Qt4 graphical interface.

%package -n %{name}-nox
Summary:	A Headless Bittorrent Client
Group:		Networking/File transfer
%if %mgaversion >= 2
BuildRequires:	qtsinglecoreapplication-devel
%endif

%description -n %{name}-nox
A Headless Bittorrent Client with a feature rich Web UI allowing users to
control the clinet remotely.

%prep
%if %{build_nox}
%setup -q -a 0
%else
%setup -q
%endif

%build
%setup_compile_flags

# build the headless part aka nox
%if %build_nox
pushd %{name}-%{version}
  ./configure \
	--prefix=%{_prefix} \
	--qtdir=%{qt4dir} \
	--disable-gui \
%if %mgaversion >= 2
	--with-qtsingleapplication=system
%endif

  %make
popd
%endif

# build the GUI
./configure \
	--prefix=%{_prefix} \
	--qtdir=%{qt4dir} \
%if %mgaversion >= 2
	--with-qtsingleapplication=system
%endif

%make

%install
rm -rf %{buildroot}

# install headless part
%if %build_nox
pushd %{name}-%{version}
  make INSTALL_ROOT=%{buildroot} install
popd
%endif

# install gui
make INSTALL_ROOT=%{buildroot} install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS Changelog COPYING NEWS README TODO
%{_bindir}/%{name}
%{_datadir}/applications/qBittorrent.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/pixmaps/qbittorrent.png
%{_mandir}/man1/%{name}.1*

%if %build_nox
%files -n  %{name}-nox
%defattr(-,root,root,-)
%{_bindir}/%{name}-nox
%{_mandir}/man1/%{name}-nox.1*
%endif


%changelog

* Tue Jan 24 2012 fwang <fwang> 2.9.3-1.mga2
+ Revision: 200522
- new version 2.9.3

* Mon Nov 28 2011 fwang <fwang> 2.9.2-2.mga2
+ Revision: 173628
- rebuild for new boost

* Mon Oct 31 2011 fwang <fwang> 2.9.2-1.mga2
+ Revision: 160354
- new version 2.9.2
- new version 2.8.4
- rebuild for new boost

  + ahmad <ahmad>
    - Update to 2.8.3
    - Fix %%mgaversion again

* Wed Jun 22 2011 fwang <fwang> 2.8.2-3.mga2
+ Revision: 111938
- fix building
- rebuild for new boost

  + ahmad <ahmad>
    - Build with system qtsingeapplication
    - Don't explicitly require geoip, it's already required by libtorrent-rasterbar
    - Don't disable the geoip database for nox

* Sat Jun 18 2011 ahmad <ahmad> 2.8.2-1.mga2
+ Revision: 109492
- Update to 2.8.2

* Tue Jun 07 2011 ahmad <ahmad> 2.8.1-1.mga2
+ Revision: 101611
- Update to 2.8.1
- Update to 2.8.0rc2

* Mon May 02 2011 ahmad <ahmad> 2.8.0-0.beta5.1.mga1
+ Revision: 94292
- Update to 2.8.0beta5

* Mon Apr 18 2011 ahmad <ahmad> 2.8.0-0.beta4.1.mga1
+ Revision: 87567
- Update to 2.8.0beta4

* Sat Apr 16 2011 ahmad <ahmad> 2.8.0-0.beta3.1.mga1
+ Revision: 86801
- update to 2.8.0beta3
- drop libnotify-devel BR completely upstream now uses dbus

* Sun Apr 10 2011 ahmad <ahmad> 2.8.0-0.beta1.1.mga1
+ Revision: 82711
- update to 2.8.0beta1
- drop the deprecated --disable-libnotify from nox configure options

* Sat Mar 26 2011 ahmad <ahmad> 2.7.1-1.mga1
+ Revision: 77740
- update to 2.7.1

* Sun Mar 20 2011 ahmad <ahmad> 2.7.0-1.mga1
+ Revision: 74968
- update to 2.7.0

* Sun Mar 13 2011 ahmad <ahmad> 2.7.0-0.beta4.1.mga1
+ Revision: 70822
- update to 2.7.0beta4

* Sun Mar 13 2011 ahmad <ahmad> 2.7.0-0.beta3.1.mga1
+ Revision: 70731
- update to 2.7.0beta3

* Sun Feb 27 2011 ahmad <ahmad> 2.7.0-0.beta2.1.mga1
+ Revision: 61193
- update to 2.7.0beta2

* Fri Feb 25 2011 ahmad <ahmad> 2.7.0-0.beta1.1.mga1
+ Revision: 59973
- update to 2.7.0beta1
- simplify building the nox and the gui, similar trick to the one used to build
  wxgtk, and wxgtku in the wxgtk2.8 spec

* Tue Feb 08 2011 ahmad <ahmad> 2.6.6-1.mga1
+ Revision: 49208
- update to 2.6.6
- update to 2.6.5

* Mon Jan 24 2011 ahmad <ahmad> 2.6.4-1.mga1
+ Revision: 36008
- update to 2.6.4

* Sun Jan 16 2011 ahmad <ahmad> 2.6.3-1.mga1
+ Revision: 19970
- update to 2.6.3
- imported package qbittorrent

